# RSA Algorithm
* Python script that encrypts and decrypts a text based on [RSA algorithm](https://people.csail.mit.edu/rivest/Rsapaper.pdf)
* It involves the concept of modular arithmatic and euler's theorem.
* It is also based on the idea that factorizing large numbers requires years.
* Here, the (a,n) are kept public and (p,q,b) are kept private.

![](https://github.com/Chinmayrane16/Awesome-Python-Scripts/blob/master/RSA_Algorithm/RSA_Algorithm.png)

## Usage
For Windows users:

```bash
$ python RSA_Algorithm.py
```

For Mac/Linux/Unix users:

```bash
$ ./RSA_Algorithm.py
```

## References
[Blog](https://www.di-mgt.com.au/rsa_alg.html) <br>
[Paper](https://people.csail.mit.edu/rivest/Rsapaper.pdf) <br>
[Video](https://www.youtube.com/watch?v=wXB-V_Keiu8)
